Package com.tibco.patterns.learn.training

## Enum Partition

- java.lang.Object
- - java.lang.Enum<Partition>
  - - com.tibco.patterns.learn.training.Partition

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<Partition>`

      public enum Partition
      extends java.lang.Enum<Partition>

  Defines the type of a dataset: Training or Validation. These are only the data partitions that are used in model training.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `TRAIN` | Training dataset
    `VLD` | Validation dataset

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract COErrorRate` | `createDftCO​(COErrorRate trainCO)` |
    `java.lang.String` | `getAbbr()` |
    `java.lang.String` | `getName()` |
    `static Partition` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static Partition[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TRAIN

          public static final Partition TRAIN

      Training dataset

    - #### VLD

          public static final Partition VLD

      Validation dataset

  - ### Method Detail

    - #### values

          public static Partition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Partition c : Partition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Partition valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### createDftCO

          public abstract COErrorRate createDftCO​(COErrorRate trainCO)

      Parameters:
        `trainCO` - training observer required to create validation observer (not null). Not used to create the training observer.
      Returns:
        the created default observer for this partition.

    - #### getName

          public java.lang.String getName()

      Returns:
        the name of the partition

    - #### getAbbr

          public java.lang.String getAbbr()

      Returns:
        the abbreviation of the partition